/*
 * Copyright (C) 2014  René Kijewski  <rene.kijewski@fu-berlin.de>
 *
 * This file is subject to the terms and conditions of the GNU Lesser
 * General Public License v2.1. See the file LICENSE in the top level
 * directory for more details.
 */

/**
 * @ingroup     boards_qemu-i386
 * @{
 *
 * @file
 * @brief       CPU-specific defines for qemu-i386
 *
 * @author      René Kijewski <rene.kijewski@fu-berlin.de>
 */

#ifndef __RIOT__BOARDS__QEMU_I386__CPU_CONF__H
#define __RIOT__BOARDS__QEMU_I386__CPU_CONF__H

#ifdef __cplusplus
extern "C" {
#endif

/* FIXME: This file is just a filler. The numbers are entirely random ... */

#define KERNEL_CONF_STACKSIZE_DEFAULT      (8192)
#define KERNEL_CONF_STACKSIZE_IDLE         (8192)
#define KERNEL_CONF_STACKSIZE_PRINTF       (8192)
#define KERNEL_CONF_STACKSIZE_PRINTF_FLOAT (8192)

#define MINIMUM_STACK_SIZE                 (8192)

#define UART0_BUFSIZE                      (16)

#define F_CPU (1000000) /* This value is unused in x86 */

#ifdef __cplusplus
}
#endif

#endif

/** @} */
